Bug 1301405 - Review Request: pulp-python - Support for Python content in the Pulp platform
Review Request: pulp-python - Support for Python content in the Pulp platform
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Randy Barlow
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-24 16:08 EST by Randy Barlow
Modified: 2016-01-27 13:04 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-27 13:04:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
admiller: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Randy Barlow 2016-01-24 16:08:13 EST
Spec URL: https://rbarlow.fedorapeople.org/pulp-python.spec
SRPM URL: https://rbarlow.fedorapeople.org/pulp-python-1.0.1-1.fc24.src.rpm
Description: Provides a collection of platform plugins and client extensions support for Python packages.
Fedora Account System Username: rbarlow

There is one rpmlint error:

python-pulp-python-common.noarch: E: zero-length /usr/lib/python2.7/site-packages/pulp_python/common/errors.py
5 packages and 0 specfiles checked; 1 errors, 0 warnings.

I have filed a pull request with upstream to resolve this error in the next release:

https://github.com/pulp/pulp_python/pull/59
Comment 1 Upstream Release Monitoring 2016-01-24 16:12:00 EST
rbarlow's scratch build of pulp-python-1.0.1-1.fc24.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12670467
Comment 2 Adam Miller 2016-01-26 12:57:31 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package contains BR: python2-devel or python3-devel


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 38 files have unknown license. Detailed
     output of licensecheck in /home/admiller/reviews/1301405-pulp-
     python/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /var/lib/pulp, /var/lib/pulp/published,
     /usr/lib/pulp/plugins, /usr/lib/pulp/plugins/types, /usr/lib/pulp
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/pulp/plugins/types,
     /etc/httpd, /var/lib/pulp/published, /etc/httpd/conf.d, /var/lib/pulp,
     /usr/lib/pulp, /usr/lib/pulp/plugins
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 6 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in pulp-
     python-admin-extensions , pulp-python-doc , pulp-python-plugins ,
     python-pulp-python-common
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: pulp-python-admin-extensions-1.0.1-1.fc24.noarch.rpm
          pulp-python-doc-1.0.1-1.fc24.noarch.rpm
          pulp-python-plugins-1.0.1-1.fc24.noarch.rpm
          python-pulp-python-common-1.0.1-1.fc24.noarch.rpm
          pulp-python-1.0.1-1.fc24.src.rpm
python-pulp-python-common.noarch: E: zero-length /usr/lib/python2.7/site-packages/pulp_python/common/errors.py
5 packages and 0 specfiles checked; 1 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
python-pulp-python-common.noarch: E: zero-length /usr/lib/python2.7/site-packages/pulp_python/common/errors.py
4 packages and 0 specfiles checked; 1 errors, 0 warnings.



Requires
--------
pulp-python-plugins (rpmlib, GLIBC filtered):
    config(pulp-python-plugins)
    pulp-server
    python(abi)
    python-pulp-python-common
    python-setuptools

pulp-python-doc (rpmlib, GLIBC filtered):

python-pulp-python-common (rpmlib, GLIBC filtered):
    python(abi)
    python-pulp-common
    python-setuptools

pulp-python-admin-extensions (rpmlib, GLIBC filtered):
    pulp-admin-client
    python(abi)
    python-pulp-python-common
    python-setuptools



Provides
--------
pulp-python-plugins:
    config(pulp-python-plugins)
    pulp-python-plugins

pulp-python-doc:
    pulp-python-doc

python-pulp-python-common:
    python-pulp-python-common

pulp-python-admin-extensions:
    pulp-python-admin-extensions



Source checksums
----------------
https://github.com/pulp/pulp_python/archive/pulp-python-1.0.1-1.tar.gz :
  CHECKSUM(SHA256) this package     : dbaf25152133948407768e680e4ab95541f81f3e5d1b43b265ea98f9a3b9be39
  CHECKSUM(SHA256) upstream package : dbaf25152133948407768e680e4ab95541f81f3e5d1b43b265ea98f9a3b9be39


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1301405 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6


APPROVED
Comment 3 Gwyn Ciesla 2016-01-26 15:33:59 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/pulp-python
Comment 4 Randy Barlow 2016-01-27 12:09:57 EST
I will fix the BR issue in a follow up release.
Comment 5 Randy Barlow 2016-01-27 12:18:43 EST
Here is the build without the BR fixes:

http://koji.fedoraproject.org/koji/buildinfo?buildID=714222
Comment 6 Randy Barlow 2016-01-27 13:04:53 EST
The BR fixes are done here:

http://koji.fedoraproject.org/koji/buildinfo?buildID=714238

Thanks for the review!

Note You need to log in before you can comment on or make changes to this bug.